FROM debian:bullseye

RUN apt update && \
    apt install -y gnupg2 python3 python3-pip curl wget && \
    apt update && \
    apt install -y ansible && \
    pip3 install "ansible-lint[community,yamllint]" && \
    pip3 install --upgrade docker && \
    pip3 install --upgrade docker-compose && \
    rm -rf /var/cache/apk/*

RUN ansible-galaxy collection install \
        community.docker

COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

ENTRYPOINT [ "/entrypoint.sh" ]
CMD ["ansible-playbook"]
